Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.alepc.encoding
Class PCXMLSerializationFactory

    java.lang.Object
      com.connecterra.alepc.encoding.PCXMLSerializationFactory

public abstract class PCXMLSerializationFactory
extends java.lang.Object

A factory for creating `PCXMLSerializer` and `PCXMLDeserializer` interfaces. This class is abstract; to get an instance of the factory, clients should call the static method `getInstance()`.

Constructor Summary
`PCXMLSerializationFactory()`

Method Summary
`abstract PCXMLDeserializer` | `createDeserializer()` Creates an `PCXMLDeserializer` instance.
`abstract PCXMLSerializer` | `createSerializer()` Creates an `PCXMLSerializer` instance.
`static PCXMLSerializationFactory` | `getInstance()` Returns an `PCXMLSerializationFactory` instance.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PCXMLSerializationFactory

    public PCXMLSerializationFactory()

Method Detail

### getInstance

    public static PCXMLSerializationFactory getInstance()

  Returns an `PCXMLSerializationFactory` instance.

  Returns:
    The `PCXMLSerializationFactory` instance.

### createSerializer

    public abstract PCXMLSerializer createSerializer()

  Creates an `PCXMLSerializer` instance. In some implementations, this method may return the same `PCXMLSerializer` instance.

  Returns:
    An `PCXMLSerializer` instance.

### createDeserializer

    public abstract PCXMLDeserializer createDeserializer()

  Creates an `PCXMLDeserializer` instance. In some implementations, this method may return the same `PCXMLDeserializer` instance.

  Returns:
    An `PCXMLDeserializer` instance.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD